Aden

Contacts

Contact management

GET
/api/v1/contacts/

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Query Parameters

teamId*string
curl -X GET "https://example.com/api/v1/contacts/?teamId=string"
POST
/api/v1/contacts/

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/contacts/" \  -H "Content-Type: application/json" \  -d '{    "team_id": 0  }'
POST
/api/v1/contacts/platform-users

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/contacts/platform-users" \  -H "Content-Type: application/json" \  -d '{    "team_id": 0,    "emails": [      "string"    ]  }'
PATCH
/api/v1/contacts/{id}

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X PATCH "https://example.com/api/v1/contacts/string" \  -H "Content-Type: application/json" \  -d '{}'
DELETE
/api/v1/contacts/{id}

Authorization

AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X DELETE "https://example.com/api/v1/contacts/string"
Was this helpful?